<template>
    <transition>
        <div class="preloader">
            <span>
                test
            </span>
        </div>
    </transition>
</template>

<script lang="ts">
import Vue from 'vue'


export default Vue.extend({
    name: 'preloader',
    
    data: () => ({
        return: {
            show: true
        }
    }),
    mounted() {
       this.showToggle() 
    },
    methods: {
        showToggle() {
            setTimeout(() => {
                this.show = false
            }, 1000);
        }
    }
})
</script>
